Fetch the funding account of a mass payment
curl --request GET \
--url https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account \
--header 'Authorization: <authorization>'import requests
url = "https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"account_number": "65878033",
"bank_identifier": "200605",
"bank_identifier_type": "SC UK Sort Code",
"iban": "GB57BARC20060565878033",
"swift_code": "BARCGB22"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Multi Payments
Fetch the funding account of a mass payment
Fetch the bank account details to fund a mass payment. Only available once the mass payment status is Created, when the funding_account_href link is returned by the mass payments list.
GET
/
mass-payments
/
{mass_payment_id}
/
funding-account
Fetch the funding account of a mass payment
curl --request GET \
--url https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account \
--header 'Authorization: <authorization>'import requests
url = "https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/mass-payments/{mass_payment_id}/funding-account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"account_number": "65878033",
"bank_identifier": "200605",
"bank_identifier_type": "SC UK Sort Code",
"iban": "GB57BARC20060565878033",
"swift_code": "BARCGB22"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Headers
The access token.
Path Parameters
The ID of the mass payment.
Query Parameters
The identifier of a client.
Response
Funding account details of the mass payment
The account number
Example:
"65878033"
The bank identifier (e.g. Sort Code)
Example:
"200605"
The type of bank identifier
Example:
"SC UK Sort Code"
The International Bank Account Number
Example:
"GB57BARC20060565878033"
The SWIFT/BIC code
Example:
"BARCGB22"